modular-ruint.h File Reference

The standard arithmetic in modular rings using fixed size precision. More...

`#include "recint/ruint.h"`
`#include "recint/rint.h"`
`#include "givaro/givinteger.h"`
`#include "givaro/givtypestring.h"`
`#include "givaro/ring-interface.h"`
`#include "givaro/modular-general.h"`
`#include "givaro/givranditer.h"`
`#include "givaro/modular-implem.h"`
`#include "givaro/modular-ruint.inl"`
Include dependency graph for modular-ruint.h:

## Namespaces

namespace | Givaro
| Namespace in which the whole Givaro library resides.

## Detailed Description

The standard arithmetic in modular rings using fixed size precision.

includes both unsigned and signed variants

i.e. BOTH Modular<ruint ...> & Modular<rint ...>